sub LockUnSelDeformers

	errMsg = "Please select PolygonMesh and Deformers."

	set cSel = GetValue("SelectionList")
	if cSel.Count < 2 then
		msgBox errMsg, , "LockUnselDeformers"
		exit sub
	end if

	set obj = cSel(0)
	if obj.Type <> siPolyMeshType then
		msgBox errMsg, , "LockUnselDeformers"
		exit sub
	end if

	cSel.Remove(obj)

	set envOp = obj.Envelopes(0)
	'set envCls = envOp.InputPorts(3).Target2
	set envProp = envOp.InputPorts(4).Target2
	set cDef = CreateObject("XSI.Collection")
	cDef.AddItems(envOp.Deformers)
	set cBon = CreateObject("XSI.Collection")
	for each bon in cSel
		for each def in cDef
			if bon.iSEqualTo(def) then
				cBon.Add(def)
				exit for
			end if
		next
	next
	if cBon.Count = 0 then
		msgBox errMsg, , "LockUnselDeformers"
		exit sub
	end if

	LockEnvelopeDeformerWeights envProp, cDef, true
	LockEnvelopeDeformerWeights envProp, cBon, false
end sub

LockUnSelDeformers()